diff dnsbl.rc @ 0:96a9758165cd original

Initial revision
author carl
date Tue, 20 Apr 2004 20:02:29 -0700
parents
children 2ae8d953f1d0
line wrap: on
line diff
--- /dev/null	Thu Jan 01 00:00:00 1970 +0000
+++ b/dnsbl.rc	Tue Apr 20 20:02:29 2004 -0700
@@ -0,0 +1,51 @@
+#!/bin/sh
+#
+# dnsbl   This script controls the dnsbl milter daemon.
+#
+#
+# chkconfig: 2345 79 31
+# description: dnsbl is an interface between MTA and the various dns blocking lists
+# processname: dnsbl
+# pidfile: /var/run/dnsbl.pid
+# Source function library.
+#
+. /etc/rc.d/init.d/functions
+
+# Source networking configuration.
+. /etc/sysconfig/network
+
+RETVAL=0
+# See how we were called.
+case "$1" in
+  start)
+        # Start daemons.
+        echo -n "Starting dnsbl-milter: "
+        cd /var/dnsbl   # conf file is here
+        ./dnsbl -p local:/var/run/dnsbl.sock
+        RETVAL=$?
+        sleep 3
+        echo
+        [ $RETVAL -eq 0 ] && touch /var/lock/subsys/dnsbl
+        ;;
+  stop)
+        # Stop daemons.
+        echo -n "Shutting down dnsbl-milter: "
+        killproc dnsbl
+        RETVAL=$?
+        echo
+        [ $RETVAL -eq 0 ] && rm -f /var/lock/subsys/dnsbl
+        ;;
+  restart|reload)
+        $0 stop
+        $0 start
+        RETVAL=$?
+        ;;
+  status)
+        status dnsbl
+        RETVAL=$?
+        ;;
+  *)
+        echo "Usage: dnsbl {start|stop|restart|status}"
+        exit 1
+esac
+exit $RETVAL